#!/bin/sh
#
# usage: run_isoword.sh wordlistfile
#

## setup
# start and end silence model name
start_sil="silB"
end_sil="silE"
# julius
juliusbin=/usr/local/bin/julius
# acoustic model
hmmdefs=/somewhere/IPA99/phone_m/model/PTM/gid/tri/hmmdefs,tmix.gz
# HMMlist file (for triphone models)
hmmlist=/somewhere/IPA99/phone_m/parms/logicalTri.added
# other arguments
args="-input mic -demo"

########################################
if [ $# -lt 1 ]; then
    echo 'usage: run_isoword.sh wordlistfile'
    exit
fi
if [ ! -f $1 ]; then
    echo 'wordlistfile' $1 'not found'
    exit
fi
if [ ! -x $juliusbin ]; then
    echo 'please set "juliusbin" correctly in' $0
    exit
fi
if [ ! -f $hmmdefs ]; then
    echo 'please set "hmmdefs" correctly in' $0
    exit
fi

####################
here=`dirname $0`
$here/mk_isoword_dict.pl -startsil $start_sil -endsil $end_sil $1 > $1.dict
if [ x$hmmlist != x ]; then
    juliusbin="$juliusbin -hlist $hmmlist"
fi
exec $juliusbin -h $hmmdefs -nlr $here/isoword.2gram -nrl $here/isoword.3gram.rev -v $1.dict $args
